#!/usr/bin/env ruby
require 'rubygems'
require 'razorback'
require 'optparse'

### Global Initialization Variables ###
@datatypes = ["PDF_FILE", "FLASH_FILE"]
@unique_id = "ae332b6d-7310-4725-a1f3-5da3dbd07222"
@app_type = "869838f6-b6e1-11e0-b208-b735188dcb19"

### Main
### Parse Options
optparse = OptionParser.new do |opts|
    opts.on( '-r', '--register', 'Register nugget with dispatcher') do
        Razorback.register(@unique_id, @app_type, *@datatypes)
        exit
    end
    opts.on( '-h', '--help', 'Display this screen') do
        puts opts
        exit
    end
end
optparse.parse!

### Analyze file
response = Razorback::Response.new
response.start()

### Logging Example
ARGV.each do |filename|
    response.log(1,"Analyzing #{filename}")
end

### Alerting Example
#### alertStart (Priority, GID, SID, SF_Flags, SF_Unset, Ent_Flags, Ent_Unset)
response.alertStart(Razorback::HIGH, 1, 1, "Sample alerting for Ruby testing nugget -- Priority 1, Flagged good", Razorback::FLAG_GOOD, Razorback::NO_FLAGS, Razorback::NO_FLAGS, Razorback::NO_FLAGS)
response.alertData("REPORT", "This message is automatically generated by the testing nugget\nAlthough it is priority 1, it is solely for demonstration purposes")
response.alertEnd
response.end
